<?php

namespace App/Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Station extends Model 
{

    protected $table = 'stations';
    public $timestamps = true;

    use SoftDeletes;

    protected $dates = ['deleted_at'];

    public function journeys()
    {
        return $this->morphedByMany('Journey');
    }

    public function trips()
    {
        return $this->morphedByMany('Trip');
    }

}